# Get a list of products

Returns a list of all products for the specified location

Endpoint: GET /locations/{location_id}/products
Version: 1.0.0
Security: BearerPartnerUser

## Security:

  - `BearerPartnerUser` (unknown)
    http bearer Bearer {PartnerToken}, User {UserToken}

## Path parameters:

  - `location_id` (number, required)
    Location ID

## Header parameters:

  - `Accept` (string, required)
    application/vnd.api.v2+json

  - `Authorization` (string, required)
    Bearer partner_token, User user_token

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `success` (boolean)
    Execution success status (true)

  - `data` (array)
    Array of products

  - `data.title` (string)
    Product title

  - `data.value` (string)
    Product value (usually same as title)

  - `data.label` (string)
    Product label for display

  - `data.article` (string)
    Product article/SKU

  - `data.category` (string)
    Category name

  - `data.category_id` (number)
    Category ID

  - `data.salon_id` (number)
    Location ID

  - `data.good_id` (number)
    Product ID

  - `data.cost` (number)
    Product cost

  - `data.unit_id` (number)
    Unit ID

  - `data.unit_short_title` (string)
    Unit short title (e.g. pc, gr)

  - `meta` (array)
    Metadata (empty array)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

